# Documentation

Menu

## ConnectionManager
in package

ConnectionManager.php : 28

Connection manager class to manage connections for the Query method

### Table of Contents

__clone() : void
  Private clone method to prevent cloning
__sleep() : mixed
  Prevent serialization of this object
__wakeup() : void
  Make sure serialize/deserialize doesn't work
connect() : QueryBuilderInterface
  Parse the passed parameters and return a connection
getConnection() : QueryBuilderInterface
  Returns the connection specified by the name given
getInstance() : ConnectionManager
  Return a connection manager instance
parseParams() : array<string|int, mixed>
  Parses params into a dsn and option array

### Methods

#### __clone()

ConnectionManager.php : 54

Private clone method to prevent cloning

`public __clone() : void`

##### Tags

throws
  DomainException

##### Return values

void —

#### __sleep()

ConnectionManager.php : 64

Prevent serialization of this object

`public __sleep() : mixed`

##### Tags

throws
  DomainException

##### Return values

mixed —

#### __wakeup()

ConnectionManager.php : 74

Make sure serialize/deserialize doesn't work

`public __wakeup() : void`

##### Tags

throws
  DomainException

##### Return values

void —

#### connect()

ConnectionManager.php : 119

Parse the passed parameters and return a connection

`public connect(array<string|int, mixed>|object $params) : QueryBuilderInterface`

##### Parameters

$params : array<string|int, mixed>|object

##### Return values

QueryBuilderInterface —

#### getConnection()

ConnectionManager.php : 99

Returns the connection specified by the name given

`public getConnection([string $name = '' ]) : QueryBuilderInterface`

##### Parameters

$name : string = ''

##### Tags

throws
  NonExistentConnectionException

##### Return values

QueryBuilderInterface —

#### getInstance()

ConnectionManager.php : 84

Return a connection manager instance

`public static getInstance() : ConnectionManager`

##### Tags

staticvar

  null $instance

##### Return values

ConnectionManager —

#### parseParams()

ConnectionManager.php : 158

Parses params into a dsn and option array

`public parseParams(array<string|int, mixed>|object $rawParams) : array<string|int, mixed>`

##### Parameters

$rawParams : array<string|int, mixed>|object

##### Tags

throws
  BadDBDriverException

##### Return values

array<string|int, mixed> —

## Search results